Subject: bug#69739: 30.0.50; `type-of` is not precise enough

From: Stefan Monnier <[email-masked]>
Date: Wed, 13 Mar 2024 18:10:09 -0400

>>  * Incompatible Changes in Emacs 30.1
>>  
>> +** 'type-of' sometimes returns more precise types.
>> +More specifically, for nil and t it returns 'null' and 'boolean'
>> +instead of just 'symbol' and for "subrs", it now returns one of
>> +'special-form', 'subr-primitive', or 'subr-native-elisp'.
>
> Is it true that in all cases, if `(type-of x)' used to return `foo'
> before the change, `(typep x 'foo)' still returns t after the change?
> If so, that might be worth mentioning, since it makes fixing broken code
> easier.

Yes.

But in any case, it seems we'll go with a different patch which leaves
`type-of` unchanged.

        Stefan